SPIP

[ar] [ast] [bg] [br] [ca] [co] [cpf] [cs] [da] [de] [en] [eo] [es] [eu] [fa] [fon] [fr] [gl] [id] [it] [ja] [lb] [nl] [oc] [pl] [pt] [ro] [ru] [sk] [sv] [tr] [uk] [vi] [zh] Espace de traduction

Download

Hosting che accettano SPIP

Dicembre 2004 — mis à jour le : Novembre 2010

Tutte le versioni di questo articolo:


Quale hosting?

Un elenco di fornitori di hosting compatibili o meno con SPIP è ora disponibile sul Wiki di SPIP-contrib.

Non esitate a dare il vostro contributo per arricchire questo elenco: esso è uno strumento apprezzato da numerosi utenti principianti.

Domande / risposte

Il mio fornitore di hosting non è nell’elenco sopra menzionato. Come faccio?

Se esso offre PHP4 con MySQL ci sono forti probabilità che funzioni. In ogni modo, l’insieme di [trasferimento di file più tentativo di installazione-2816] dovrebbe prendere, per chi non è pratico, una decina di minuti al massimo.

Se comunque si vuole sapere per forza in anticipo se funzionerà, si leggano le domande qui sotto.

Quali sono le estensioni dei file PHP supportati dal mio hoster?

Alcuni hoster non riconoscono le estensioni .php3, che sono le estensioni usate per i file di SPIP fino alla versione 1.8 (quando si tenta di installare SPIP invece della procedura di installazione si vedrà il codice contenuto nei file).

In tal caso, provare a utilizzare una delle distribuzioni derivate di SPIP proposte dalla comunità.

Con quali versioni di PHP è compatibile SPIP?

Le versioni 1.8 e 1.9 sono compatibili con PHP a partire dalla versione 4.0.8 (versione 5 compresa).

Storicamente, la versione 1.8 di SPIP è strata l’ultima a supportare PHP3.

Con quali versioni di MySQL è compatibile SPIP?

Non abbiamo fatto alcun test in tal senso, ma normalmente tutte le versioni recenti sono compatibili: in particolare, dalla versione 3.22.

E con quale server Web, con quale sistema operativo?

Ancora una volta, non abbiamo fatto alcun test in proposito. Beninteso, la scelta raccomandata, poiché è la più diffusa, è Apache sotto un Unix qualsiasi (per esempio Linux, FreeBSD, Solaris, MacOS X...).

Tuttavia, è molto probabile che SPIP funzioni anche con altre configurazioni. In effetti esso è regolarmente testato con successo sotto Windows, con PHP4 in modulo Apache. Vi saremo grati di segnalarci le vostre esperienze di configurazioni software diverse da quelle sopra citate.

Dove posso trovare maggiori informazioni sull’installazione?

-  Il manuale di installazione;
-  e, in caso di problemi, la FAQ tecnica.


Visualizza il modello di questa pagina Sito realizzato con SPIP | Espace de traduction | Area riservata